Sign in Start for free

Deployment Target Tags

Get a DeploymentTargetTag by ID or Slug

GET /api/{spaceId}/deploymentTargetTags/{tag}

Also reachable at /api/deploymentTargetTags/{tag}, /api/spaces/{spaceIdentifier}/deploymentTargetTags/{tag}.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource(s).
  • tag string (required)
    ID or Slug of the DeploymentTargetTag.

Response

200 — The requested DeploymentTargetTag

  • SpaceId string
  • Tag string

Example Response

JSON
{
  "SpaceId": "Spaces-1",
  "Tag": "string"
}

Get DeploymentTargetTags by DeploymentTargetTag IDs and Machine ID (deployment target ID)

GET /api/{spaceId}/deploymenttargettags

Also reachable at /api/deploymenttargettags, /api/spaces/{spaceIdentifier}/deploymenttargettags.

Gets a paginated list of DeploymentTargetTag.

Path Parameters

  • spaceId string (required)
    The ID of the Space to which the DeploymentTargetTags belong.

Query Parameters

  • machineIds array of string
    The Machine ID to filter by.
  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • tags array of string
    The DeploymentTargetTag IDs to filter by.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.

Response

200 — The requested DeploymentTargetTags.

  • Count integer
  • DeploymentTargetTags array of object
    • SpaceId string
    • Tag string

Example Response

JSON
{
  "Count": 0,
  "DeploymentTargetTags": [
    {
      "SpaceId": "Spaces-1",
      "Tag": "string"
    }
  ]
}

Create a new DeploymentTargetTag

POST /api/{spaceId}/deploymenttargettags

Also reachable at /api/deploymenttargettags, /api/spaces/{spaceIdentifier}/deploymenttargettags.

Path Parameters

  • spaceId string (required)
    The ID of the space for the DeploymentTargetTag.

Request Body

  • SpaceId string (required)
    The ID of the space for the DeploymentTargetTag.
  • Tag string (required)
    The name or tag of the DeploymentTargetTag. Minimum length 1. Maximum length 200.

Response

201 — Created

  • SpaceId string
  • Tag string

Example Request

JSON
{
  "SpaceId": "Spaces-1",
  "Tag": "string"
}

Example Response

JSON
{
  "SpaceId": "Spaces-1",
  "Tag": "string"
}

Delete a DeploymentTargetTag

DELETE /api/{spaceId}/deploymenttargettags/{tag}

Also reachable at /api/deploymenttargettags/{tag}, /api/spaces/{spaceIdentifier}/deploymenttargettags/{tag}.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource(s).
  • tag string (required)
    The Tag of the DeploymentTargetTag to delete.

Response

200 — Success